Package org.eclipse.net4j.util.ui.views

# Class ContainerItemProvider.FixedChildrenNode

java.lang.Object
ContainerItemProvider<CONTAINER>.org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode
ContainerItemProvider<CONTAINER>.org.eclipse.net4j.util.ui.views.ContainerItemProvider.LeafNode
org.eclipse.net4j.util.ui.views.ContainerItemProvider.FixedChildrenNode

All Implemented Interfaces:
  `EventListener`, `IListener`, `ContainerItemProvider.Node`

Enclosing class:
  `ContainerItemProvider<CONTAINER extends IContainer<Object>>`

public class ContainerItemProvider.FixedChildrenNode extends ContainerItemProvider<CONTAINER>.LeafNode

Since:
  3.9
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

`NO_CHILDREN`

## Constructor Summary

Constructors
Constructor
Description
`FixedChildrenNode(ContainerItemProvider.Node parent, Object element, Iterable<?> childElements)`
`FixedChildrenNode(ContainerItemProvider.Node parent, Object element, Object[] childElements)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`List<ContainerItemProvider.Node>`
`getChildren()`
`boolean`
`hasChildren()`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.LeafNode

`getElement, notifyEvent`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

`addChild, checkNotDisposed, disposeChildren, getParent, getParentElement, getTreePath, isDisposed, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FixedChildrenNode

public FixedChildrenNode(ContainerItemProvider.Node parent, Object element, Object[] childElements)

### FixedChildrenNode

public FixedChildrenNode(ContainerItemProvider.Node parent, Object element, Iterable<?> childElements)

## Method Details

### dispose

public void dispose()

Specified by:
  `dispose` in interface `ContainerItemProvider.Node`
Overrides:
  `dispose` in class `ContainerItemProvider<CONTAINER extends IContainer<Object>>.LeafNode`

### hasChildren

public boolean hasChildren()

Specified by:
  `hasChildren` in interface `ContainerItemProvider.Node`
Overrides:
  `hasChildren` in class `ContainerItemProvider<CONTAINER extends IContainer<Object>>.AbstractNode`
Since:
  3.4

### getChildren

public List<ContainerItemProvider.Node> getChildren()

Specified by:
  `getChildren` in interface `ContainerItemProvider.Node`
Overrides:
  `getChildren` in class `ContainerItemProvider<CONTAINER extends IContainer<Object>>.LeafNode`